#search{
    position: fixed;
    top: 60px;
    left: 10%;
    border: 2px solid black;
    border-radius: 10px;
    box-shadow: 5px 5px 27px 3px #000000;
    width: 70%;
    height: 80%;
    padding-bottom: 10px;
    background-color: beige;
    overflow: hidden;
}

#search_body{
    height: 80%;
    padding: 0px 20px;
    overflow-y: auto;
    border-top: 1px solid gray;
    background-color: white;
    border-bottom: 1px solid gray;
}

#search_head{
    height: 35px;
}

#search h1{
    color: black;
    margin-bottom: 0px;
    margin-top: 16px;
}

#search_input_button{
    padding-left: 20px;
    display: flex;
}

#search-input {
	font-family: inherit;
	font-size: 14pt;
	padding: 3px 14px;
	margin-bottom: 10px;
	width: 300px;
	max-width: 80%;
	height: 40px;
	border: 1px solid rgb(136, 136, 136);
	border-radius: 5px;
}

#search-results {
    margin-top: 15px;
}

.search-result {
    padding: 15px;
    background-color: #0078D7;
    margin-bottom: 10px;
    font-size: 14pt;
    border-radius: 10px;
}

.search-result a {
    text-decoration: none;
    font-size: 16pt;
    font-weight: bold;
}

.search-term {
    font-weight: bold;
}

.search-preview {
    margin-top: 10px;
}

#search-input, #gb_name, .gb_textarea {
    font-family: inherit;
    border: 1px solid rgb(136, 136, 136);
    border-radius: 5px;
}

#search-input {
    width: 300px;
    max-width: 80%;
    padding: 3px 14px;
    height: 40px;
    font-size: 14pt;
    margin-bottom: 10px;
}

#search-input:hover, #gb_name:hover, .gb_textarea:hover{
    border: 1px solid black;
}

#search-input:focus, #gb_name:hover, .gb_textarea:focus{
    outline: none;
    border: 1px solid black;
}

.image_buttons {
    height: 40px;
    cursor: pointer;
    user-select: none;
    border-radius: 10px;
    padding: 4px;
}

.close_button{
    height: 40px;
    text-align: center;
    user-select: none;
    cursor: pointer;
    padding: 6px;
    position: absolute;
    top: 0;
    right: 0;
    font-size: 20pt;
    width: 10%;
    border-radius: 0 8px 0 0;
    background-color: rgba(255, 0, 0, 0.803);
    color: white;
    max-width: 30px;
}

.image_buttons:hover {
    background-color: lightgray;
}

.close_button:hover{
    background-color: red;
}

@media(max-width: 750px) {
    #search{
        left: 5%;
        width: 80%;
        height: 85%;
        top: 15px;
    }
}

@media(max-width: 600px) {
    #search{
        left: 7px;
        width: 90% !important;
        height: 94%;
    }
}

@media(max-width: 500px) {
    #search_input_button {
        display: initial;
    }

    #search_input_button div{
        padding-left: 20px;
    }
}

@media(max-width:350px) {
    #search h1{
        font-size: 16pt;
    }
}

@media(max-width: 445px) {
    #search_body{
        height: 74%;
    }
}